DELETE
/scim/v2/Users/{userId}

Authorization

Descope Project ID:Access Key
AuthorizationBearer <token>

Project ID:Access Key as bearer token.

In: header

Path Parameters

userId*string

Query Parameters

displayName?string

The following values are manipulated by the marshaler in httpgateway/marshaler.go in case of changing or adding new ones, need to edit the marshaler as well

active?boolean
name.givenName?string
name.familyName?string
name.middleName?string
userName?string

Delete an existing SCIM User, using a valid access key.

This API endpoint allows administrators to delete an existing SCIM user from the Descope tenant.

It is important to note the bearer token for SCIM API endpoints. The format is ProjectId:AccessKey the access key must be a SCIM access key scoped to the applicable tenant. Create one with the SCIM access key API, the SSO Setup Suite, or the Create SCIM Access Key flow action.

See also

curl -X DELETE "https://api.descope.com/scim/v2/Users/string"
Was this helpful?